Skip to content

Create Run

POST
/pipelines/runs/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/runs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"sku_id": 0,
"sku_item_price_id": 0,
"next_sku_item_price_id": 0,
"committed_instance_policy": "string",
"name": "string",
"description": "string",
"experiment_id": "string",
"pipeline_type": "existing",
"pipeline_version_id": "string",
"run_parameter": [
{
"name": "string",
"value": "string"
}
],
"run_type": "run"
}'
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
sku_id
required

SKU ID for the run. Get it from the SKU List API response.

integer
sku_item_price_id
required

Price ID for the SKU item. Get it from the SKU List API response.

integer
next_sku_item_price_id

ID for the next SKU item price, if any

integer
nullable
committed_instance_policy

Committed instance policy

string
name
required

Name of the run

string
description

Description of the run

string
experiment_id
required

ID of the associated experiment. Get it from the experiment_id field in the Experiment List API response.

string format: uuid
pipeline_type

Type of pipeline

string
Allowed values: existing new
pipeline_version_id
required

Version ID of the pipeline. Get it from the version_id field in the Version List API response.

string format: uuid
run_parameter

Runtime parameters for the pipeline run

Array<object>
object
name
string
value
string
run_type

Type of run

string
Allowed values: run scheduled_job

Successful response containing run details

Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
run_id
string format: uuid
state
string
progress
string
finished_at
string format: date-time
created_at
string format: date-time
source
string
scheduled_job
string
nullable
errors
object
message
string

Example

{
"code": 200,
"data": {
"id": 2439,
"name": "tir-run-111416275353",
"run_id": "116bf10c-6d76-461a-98d2-7feb99fe7d29",
"state": "Pending",
"progress": "",
"finished_at": "1970-01-01T00:00:00Z",
"created_at": "2024-11-14T10:58:23.918155Z",
"source": "pipeline",
"scheduled_job": null
},
"errors": {},
"message": "Success"
}